> ## Documentation Index
> Fetch the complete documentation index at: https://docs.siftd.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Runtime

> Create a new runtime in a workspace



## OpenAPI

````yaml POST /workspaces/{workspace_id}/runtimes
openapi: 3.0.0
info:
  description: API For SiftD Platform Intelligence Notebooks(SPIN)
  title: SPIN Server API
  contact: {}
  version: '1.0'
servers:
  - url: https://s-server-demo.siftd.ai/api
security:
  - bearerAuth: []
paths:
  /workspaces/{workspace_id}/runtimes:
    post:
      tags:
        - runtimes
      summary: Create runtime
      description: Create a new runtime in a workspace
      parameters:
        - description: Organization ID
          name: org_id
          in: query
          required: true
          schema:
            type: string
        - description: Secure return, default false
          name: secure_runtime
          in: query
          schema:
            type: string
        - description: Workspace ID
          name: workspace_id
          in: path
          required: true
          schema:
            type: string
      requestBody:
        $ref: '#/components/requestBodies/models.SpinRuntime'
      responses:
        '201':
          description: Created
          headers:
            Location:
              description: /api/workspaces/{workspace_id}/runtimes/{runtime_id}
              schema:
                type: string
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/models.SpinRuntime'
components:
  requestBodies:
    models.SpinRuntime:
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/models.SpinRuntime'
      description: Runtime object
      required: true
  schemas:
    models.SpinRuntime:
      type: object
      properties:
        auth_token:
          type: string
        description:
          type: string
        is_private:
          type: boolean
        managed_status:
          type: string
        managed_type:
          type: string
        name:
          type: string
        owner_id:
          type: string
        properties:
          type: object
          additionalProperties:
            type: string
        runtime_id:
          type: string
        url:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````